Package net.snowflake.client.core

## Class QueryContextEntryDTO

- java.lang.Object
- - net.snowflake.client.core.QueryContextEntryDTO

    public class QueryContextEntryDTO
    extends Object

An entry in the set of query context exchanged with Cloud Services. This includes a domain identifier(id), a timestamp that is monodically increasing, a priority for eviction and the opaque information sent from the Cloud service.

### Constructor Summary

Constructors
`QueryContextEntryDTO()`
`QueryContextEntryDTO​(long id, long timestamp, long priority, OpaqueContextDTO context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`OpaqueContextDTO` `getContext()`
`long` `getId()`
`long` `getPriority()`
`long` `getTimestamp()`
`void` `setContext​(OpaqueContextDTO context)`
`void` `setId​(long id)`
`void` `setPriority​(long priority)`
`void` `setTimestamp​(long timestamp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryContextEntryDTO

    public QueryContextEntryDTO()

#### QueryContextEntryDTO

    public QueryContextEntryDTO​(long id,
                                long timestamp,
                                long priority,
                                OpaqueContextDTO context)

### Method Detail

#### getId

    public long getId()

#### setId

    public void setId​(long id)

#### getTimestamp

    public long getTimestamp()

#### setTimestamp

    public void setTimestamp​(long timestamp)

#### getPriority

    public long getPriority()

#### setPriority

    public void setPriority​(long priority)

#### getContext

    public OpaqueContextDTO getContext()

#### setContext

    public void setContext​(OpaqueContextDTO context)